Lucene++ - a full-featured, c++ search engine
API Documentation

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes
Lucene::Num Class Reference

Number of documents a delete term applies to. More...

`#include <BufferedDeletes.h>`

Inheritance diagram for Lucene::Num:

## Public Member Functions

| Num (int32_t num)
int32_t | getNum ()
void | setNum (int32_t num)
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed.
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object.
virtual int32_t | hashCode ()
| Return hash code for this object.
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal.
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects.
virtual String | toString ()
| Returns a string representation of the object.
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock.
virtual LuceneSignalPtr | getSignal ()
| Return this object signal.
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout.
virtual void | unlock ()
| Unlock this object.
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread.
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout.
virtual void | notifyAll ()
| Notify all threads waiting for signal.

## Protected Attributes

int32_t | num
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()

## Detailed Description

Number of documents a delete term applies to.

## Constructor & Destructor Documentation

## ◆ Num()

Lucene::Num::Num | ( | int32_t | num | ) |

## Member Function Documentation

## ◆ getNum()

int32_t Lucene::Num::getNum | ( |  | ) |

## ◆ setNum()

void Lucene::Num::setNum | ( | int32_t | num | ) |

## Field Documentation

## ◆ num

int32_t Lucene::Num::num

protected

The documentation for this class was generated from the following file:

- BufferedDeletes.h

clucene.sourceforge.net